[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.Run

Runs the application.

## Declaration

Source position: custapp.pp line 56

`public procedure TCustomApplication.Run;`

## Description

Run is the start of the user code: when called, it starts a loop and repeatedly calls DoRun until Terminated is set to True. If an exception is raised during the execution of DoRun, it is caught and handled to TCustomApplication.HandleException. If TCustomApplication.StopOnException is set to True (which is not the default), Run will exit, and the application will then terminate. The default is to call DoRun again, which is useful for applications running a message loop such as services and GUI applications.

## See also

TCustomApplication.HandleException |  | Handle an exception.
TCustomApplication.StopException

Documentation generated on: Feb 26 2014